RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Files | Functions
Incorporating ligands binding to specific sequence/structure motifs
Constraining the Secondary Structure Predictions and Evaluations

This module covers functions that enable the incorporation of ligand binding free energies to specific hairpin/interior loop motifs by means of generic soft constraints. More...

Collaboration diagram for Incorporating ligands binding to specific sequence/structure motifs:

## Files
file | ligand.h
| Functions for incorporation of ligands binding to haipirn and interior loop motifs.

## Functions
int | vrna_sc_add_hi_motif (vrna_fold_compound_t *vc, const char *seq, const char *structure, FLT_OR_DBL energy, unsigned int options)
| Add soft constraints for hairpin or interior loop binding motif. More...

## Detailed Description

This module covers functions that enable the incorporation of ligand binding free energies to specific hairpin/interior loop motifs by means of generic soft constraints.

## Function Documentation

int vrna_sc_add_hi_motif | ( | vrna_fold_compound_t * | vc,
|  | const char * | seq,
|  | const char * | structure,
|  | FLT_OR_DBL | energy,
|  | unsigned int | options
| ) |  |

`#include <ViennaRNA/ligand.h>`

Add soft constraints for hairpin or interior loop binding motif.

Here is an example that adds a theophylline binding motif. Free energy contribution is derived from , taken from Jenison et al. 1994

vrna_sc_add_hi_motif( vc,
"GAUACCAG&CCCUUGGCAGC",
"(...((((&)...)))...)",
-9.22, VRNA_OPTION_DEFAULT);

Parameters

  vc | The vrna_fold_compound_t the motif is applied to
  seq | The sequence motif (may be interspaced by '&' character
  structure | The structure motif (may be interspaced by '&' character
  energy | The free energy of the motif (e.g. binding free energy)
  options | Options

Returns
  non-zero value if application of the motif using soft constraints was successful